Deactivate license
curl --request POST \
--url https://api.withorb.com/v1/licenses/{license_id}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"end_date": "2026-01-27"
}
'import requests
url = "https://api.withorb.com/v1/licenses/{license_id}/deactivate"
payload = { "end_date": "2026-01-27" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({end_date: '2026-01-27'})
};
fetch('https://api.withorb.com/v1/licenses/{license_id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"subscription_id": "<string>",
"license_type_id": "<string>",
"external_license_id": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z"
}{
"type": "https://docs.withorb.com/reference/error-responses#400-constraint-violation",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#401-authentication-error",
"status": 401,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#404-feature-not-available",
"status": 400,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#409-resource-conflict",
"status": 409,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#413-request-too-large",
"status": 413,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#429-too-many-requests",
"status": 429,
"detail": "<string>",
"title": "<string>"
}{
"type": "https://docs.withorb.com/reference/error-responses#500-internal-server-error",
"status": 123,
"detail": "<string>",
"title": "<string>"
}License
Deactivate license
This endpoint is used to deactivate an existing license.
If an end date is provided, the license will be deactivated at the start of the specified date in the customer’s timezone. Otherwise, the deactivation time will default to the end of the current day in the customer’s timezone.
POST
/
licenses
/
{license_id}
/
deactivate
Deactivate license
Authorizations
API Keys can be issued in the Orb's web application.
Path Parameters
Body
application/json
The date to deactivate the license. If not provided, defaults to end of day today in the customer's timezone.
Example:
"2026-01-27"
Was this page helpful?
⌘I